MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001090VCMIGUI - Otherpublic2012-09-28 07:122013-06-02 22:21
ReporterZamolxis 
Assigned ToIvan 
PrioritylowSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.89 
Target VersionFixed in Version0.9 
Summary0001090: Active info in status window is not well centered
DescriptionSee attached screenshots. As compared to H3, we have:

In 0.89 it's:
- 6 pixels higher (possible cause of whitish line at the bottom, unless that's a different issue with the background)
- 4 pixels to the left (cause of the double black line on the right)

In 0.89c looks like it was a bit adjusted, but now it's:
- 4 pixels lower (all content)
- 5 pixels to the right (only the resource icon and amount under it)
- background is at least 1 pixel to the left (as a result the black pixel line on the left disappears, the one on the right is twice as thick, and there's an ugly overlap with the curl designs on all corners)
- and we also notice that in 0.89c the text on top (the only one apparently centered) allows more characters per line as compared to H3 & 0.89, which moves "of" to the upper row >> not really an issue if a dev has reason to prefer it like this

Perhaps less relevant (however strange): in 0.89, when we hit End Turn, in the beginning of Blue's turn it's out of focus as described above, but soon after, when second blue hero moves I think and hourglass image changes, we get the faulty focus of 0.89c.

I guess it's better to pick up on the 0.89c version, and do further adjustments.
TagsNo tags attached.
Attached Filesjpg file icon 2012-09-19_ResPickH3.jpg [^] (25,804 bytes) 2012-09-28 07:12


jpg file icon 2012-09-19_ResPick089.jpg [^] (25,574 bytes) 2012-09-28 07:16


jpg file icon 2012-09-28_ResPick089c.jpg [^] (25,393 bytes) 2012-09-28 07:17

- Relationships
child of 0001295new Alignment issues in the Status Window 

-  Notes
(0003080)
Ivan (developer)
2012-09-29 08:41

Should be fixed at least partially in rev 2946. Recheck to be sure.

Can't do much with enemy turn - right now this is only imitation of turn progress hardcoded to 0000012:0000010 second per player.
(0003647)
Zamolxis (viewer)
2013-06-02 22:21
edited on: 2013-06-02 22:22

Indeed fixed only "partly". It moved closer to the OH3 position, but elements are still out of sync with at least 1 pixel, on at least 1 axis. For further fine tuning see new parent report 0001295.


- Issue History
Date Modified Username Field Change
2012-09-28 07:12 Zamolxis New Issue
2012-09-28 07:12 Zamolxis File Added: 2012-09-19_ResPickH3.jpg
2012-09-28 07:12 Zamolxis Issue generated from: 0000098
2012-09-28 07:16 Zamolxis Description Updated View Revisions
2012-09-28 07:16 Zamolxis File Added: 2012-09-19_ResPick089.jpg
2012-09-28 07:17 Zamolxis File Added: 2012-09-28_ResPick089c.jpg
2012-09-28 07:20 Zamolxis Description Updated View Revisions
2012-09-28 07:23 Zamolxis Description Updated View Revisions
2012-09-29 08:41 Ivan Note Added: 0003080
2012-09-29 08:41 Ivan Status new => resolved
2012-09-29 08:41 Ivan Fixed in Version => 0.9
2012-09-29 08:41 Ivan Resolution open => fixed
2012-09-29 08:41 Ivan Assigned To => Ivan
2013-06-02 22:18 Zamolxis Relationship added child of 0001295
2013-06-02 22:21 Zamolxis Note Added: 0003647
2013-06-02 22:21 Zamolxis Status resolved => closed
2013-06-02 22:22 Zamolxis Note Edited: 0003647 View Revisions

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2017 MantisBT Team
Hosting provided by DigitalOcean